Package org.eclipse.m2m.atl.common.OCL

# Class OclType

java.lang.Object
org.eclipse.emf.common.notify.impl.BasicNotifierImpl
org.eclipse.emf.ecore.impl.BasicEObjectImpl
org.eclipse.emf.ecore.impl.MinimalEObjectImpl
org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
org.eclipse.m2m.atl.common.ATL.LocatedElement
org.eclipse.m2m.atl.common.OCL.OclExpression
org.eclipse.m2m.atl.common.OCL.OclType

All Implemented Interfaces:
  `org.eclipse.emf.common.notify.Notifier`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder`, `org.eclipse.emf.ecore.InternalEObject`

Direct Known Subclasses:
  `CollectionType`, `MapType`, `OclAnyType`, `OclModelElement`, `Primitive`, `TupleType`

public class OclType extends OclExpression
A representation of the model object 'Ocl Type'.

The following features are supported:

- `Name`
- `Definitions`
- `Ocl Expression`
- `Operation`
- `Map Type2`
- `Attribute`
- `Map Type`
- `Collection Types`
- `Tuple Type Attribute`
- `Variable Declaration`

See Also:
  - `OCLPackage.getOclType()`

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

## Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`name`
The cached value of the '`Name`' attribute.
`protected static final String`
`NAME_EDEFAULT`
The default value of the '`Name`' attribute.

### Fields inherited from class org.eclipse.m2m.atl.common.OCL.OclExpression

`type`

### Fields inherited from class org.eclipse.m2m.atl.common.ATL.LocatedElement

`commentsAfter, commentsBefore, location, LOCATION_EDEFAULT`

### Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`eContainer`

### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

`NIL`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`OclType()`

## Method Summary

Modifier and Type
Method
Description
`org.eclipse.emf.common.notify.NotificationChain`
`basicSetAttribute(Attribute newAttribute, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
`basicSetCollectionTypes(CollectionType newCollectionTypes, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
`basicSetDefinitions(OclContextDefinition newDefinitions, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
`basicSetMapType(MapType newMapType, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
`basicSetMapType2(MapType newMapType2, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
`basicSetOclExpression(OclExpression newOclExpression, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
`basicSetOperation(Operation newOperation, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
`basicSetTupleTypeAttribute(TupleTypeAttribute newTupleTypeAttribute, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
`basicSetVariableDeclaration(VariableDeclaration newVariableDeclaration, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
`eBasicRemoveFromContainerFeature(org.eclipse.emf.common.notify.NotificationChain msgs)`
`Object`
`eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain`
`eInverseAdd(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
`eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean`
`eIsSet(int featureID)`
`void`
`eSet(int featureID, Object newValue)`
`protected org.eclipse.emf.ecore.EClass`
`eStaticClass()`
`void`
`eUnset(int featureID)`
`Attribute`
`getAttribute()`
Returns the value of the 'Attribute' container reference.
`CollectionType`
`getCollectionTypes()`
Returns the value of the 'Collection Types' container reference.
`OclContextDefinition`
`getDefinitions()`
Returns the value of the 'Definitions' container reference.
`MapType`
`getMapType()`
Returns the value of the 'Map Type' container reference.
`MapType`
`getMapType2()`
Returns the value of the 'Map Type2' container reference.
`String`
`getName()`
Returns the value of the 'Name' attribute.
`OclExpression`
`getOclExpression()`
Returns the value of the 'Ocl Expression' container reference.
`Operation`
`getOperation()`
Returns the value of the 'Operation' container reference.
`TupleTypeAttribute`
`getTupleTypeAttribute()`
Returns the value of the 'Tuple Type Attribute' container reference.
`VariableDeclaration`
`getVariableDeclaration()`
Returns the value of the 'Variable Declaration' container reference.
`void`
`setAttribute(Attribute newAttribute)`
Sets the value of the '`Attribute`' container reference.
`void`
`setCollectionTypes(CollectionType newCollectionTypes)`
Sets the value of the '`Collection Types`' container reference.
`void`
`setDefinitions(OclContextDefinition newDefinitions)`
Sets the value of the '`Definitions`' container reference.
`void`
`setMapType(MapType newMapType)`
Sets the value of the '`Map Type`' container reference.
`void`
`setMapType2(MapType newMapType2)`
Sets the value of the '`Map Type2`' container reference.
`void`
`setName(String newName)`
Sets the value of the '`Name`' attribute.
`void`
`setOclExpression(OclExpression newOclExpression)`
Sets the value of the '`Ocl Expression`' container reference.
`void`
`setOperation(Operation newOperation)`
Sets the value of the '`Operation`' container reference.
`void`
`setTupleTypeAttribute(TupleTypeAttribute newTupleTypeAttribute)`
Sets the value of the '`Tuple Type Attribute`' container reference.
`void`
`setVariableDeclaration(VariableDeclaration newVariableDeclaration)`
Sets the value of the '`Variable Declaration`' container reference.
`String`
`toString()`

### Methods inherited from class org.eclipse.m2m.atl.common.OCL.OclExpression

`basicSetAppliedProperty, basicSetCollection, basicSetIfExp1, basicSetIfExp2, basicSetIfExp3, basicSetInitializedVariable, basicSetLetExp, basicSetLoopExp, basicSetOwningAttribute, basicSetOwningOperation, basicSetParentOperation, basicSetType, getAppliedProperty, getCollection, getIfExp1, getIfExp2, getIfExp3, getInitializedVariable, getLetExp, getLoopExp, getOwningAttribute, getOwningOperation, getParentOperation, getType, setAppliedProperty, setCollection, setIfExp1, setIfExp2, setIfExp3, setInitializedVariable, setLetExp, setLoopExp, setOwningAttribute, setOwningOperation, setParentOperation, setType`

### Methods inherited from class org.eclipse.m2m.atl.common.ATL.LocatedElement

`getCommentsAfter, getCommentsBefore, getLocation, setLocation`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`eBasicSetContainer, eInternalContainer`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapterListeners, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSetDirectResource, eSetProxyURI, eSettings`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Field Details

### NAME_EDEFAULT

protected static final String NAME_EDEFAULT
The default value of the '`Name`' attribute.

See Also:
  - `getName()`

### name

protected String name
The cached value of the '`Name`' attribute.

See Also:
  - `getName()`

## Constructor Details

### OclType

protected OclType()

## Method Details

### eStaticClass

protected org.eclipse.emf.ecore.EClass eStaticClass()

Overrides:
  `eStaticClass` in class `OclExpression`

### getName

public String getName()
Returns the value of the 'Name' attribute.

If the meaning of the 'Name' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Name' attribute.
See Also:
  - `setName(String)`
  - `OCLPackage.getOclType_Name()`

### setName

public void setName(String newName)
Sets the value of the '`Name`' attribute.

Parameters:
  `value` - the new value of the 'Name' attribute.
See Also:
  - `getName()`

### getDefinitions

public OclContextDefinition getDefinitions()
Returns the value of the 'Definitions' container reference. It is bidirectional and its opposite is '`Context` '.

If the meaning of the 'Definitions' container reference isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Definitions' container reference.
See Also:
  - `setDefinitions(OclContextDefinition)`
  - `OCLPackage.getOclType_Definitions()`
  - `OclContextDefinition.getContext_()`

### basicSetDefinitions

public org.eclipse.emf.common.notify.NotificationChain basicSetDefinitions(OclContextDefinition newDefinitions, org.eclipse.emf.common.notify.NotificationChain msgs)

### setDefinitions

public void setDefinitions(OclContextDefinition newDefinitions)
Sets the value of the '`Definitions`' container reference.

Parameters:
  `value` - the new value of the 'Definitions' container reference.
See Also:
  - `getDefinitions()`

### getOclExpression

public OclExpression getOclExpression()
Returns the value of the 'Ocl Expression' container reference. It is bidirectional and its opposite is '`Type`'.

If the meaning of the 'Ocl Expression' container reference isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Ocl Expression' container reference.
See Also:
  - `setOclExpression(OclExpression)`
  - `OCLPackage.getOclType_OclExpression()`
  - `OclExpression.getType()`

### basicSetOclExpression

public org.eclipse.emf.common.notify.NotificationChain basicSetOclExpression(OclExpression newOclExpression, org.eclipse.emf.common.notify.NotificationChain msgs)

### setOclExpression

public void setOclExpression(OclExpression newOclExpression)
Sets the value of the '`Ocl Expression`' container reference.

Parameters:
  `value` - the new value of the 'Ocl Expression' container reference.
See Also:
  - `getOclExpression()`

### getOperation

public Operation getOperation()
Returns the value of the 'Operation' container reference. It is bidirectional and its opposite is '`Return Type`'.

If the meaning of the 'Operation' container reference isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Operation' container reference.
See Also:
  - `setOperation(Operation)`
  - `OCLPackage.getOclType_Operation()`
  - `Operation.getReturnType()`

### basicSetOperation

public org.eclipse.emf.common.notify.NotificationChain basicSetOperation(Operation newOperation, org.eclipse.emf.common.notify.NotificationChain msgs)

### setOperation

public void setOperation(Operation newOperation)
Sets the value of the '`Operation`' container reference.

Parameters:
  `value` - the new value of the 'Operation' container reference.
See Also:
  - `getOperation()`

### getMapType2

public MapType getMapType2()
Returns the value of the 'Map Type2' container reference. It is bidirectional and its opposite is '`Value Type`'.

If the meaning of the 'Map Type2' container reference isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Map Type2' container reference.
See Also:
  - `setMapType2(MapType)`
  - `OCLPackage.getOclType_MapType2()`
  - `MapType.getValueType()`

### basicSetMapType2

public org.eclipse.emf.common.notify.NotificationChain basicSetMapType2(MapType newMapType2, org.eclipse.emf.common.notify.NotificationChain msgs)

### setMapType2

public void setMapType2(MapType newMapType2)
Sets the value of the '`Map Type2`' container reference.

Parameters:
  `value` - the new value of the 'Map Type2' container reference.
See Also:
  - `getMapType2()`

### getAttribute

public Attribute getAttribute()
Returns the value of the 'Attribute' container reference. It is bidirectional and its opposite is '`Type`'.

If the meaning of the 'Attribute' container reference isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Attribute' container reference.
See Also:
  - `setAttribute(Attribute)`
  - `OCLPackage.getOclType_Attribute()`
  - `Attribute.getType()`

### basicSetAttribute

public org.eclipse.emf.common.notify.NotificationChain basicSetAttribute(Attribute newAttribute, org.eclipse.emf.common.notify.NotificationChain msgs)

### setAttribute

public void setAttribute(Attribute newAttribute)
Sets the value of the '`Attribute`' container reference.

Parameters:
  `value` - the new value of the 'Attribute' container reference.
See Also:
  - `getAttribute()`

### getMapType

public MapType getMapType()
Returns the value of the 'Map Type' container reference. It is bidirectional and its opposite is '`Key Type`'.

If the meaning of the 'Map Type' container reference isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Map Type' container reference.
See Also:
  - `setMapType(MapType)`
  - `OCLPackage.getOclType_MapType()`
  - `MapType.getKeyType()`

### basicSetMapType

public org.eclipse.emf.common.notify.NotificationChain basicSetMapType(MapType newMapType, org.eclipse.emf.common.notify.NotificationChain msgs)

### setMapType

public void setMapType(MapType newMapType)
Sets the value of the '`Map Type`' container reference.

Parameters:
  `value` - the new value of the 'Map Type' container reference.
See Also:
  - `getMapType()`

### getCollectionTypes

public CollectionType getCollectionTypes()
Returns the value of the 'Collection Types' container reference. It is bidirectional and its opposite is '`Element Type`'.

If the meaning of the 'Collection Types' container reference isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Collection Types' container reference.
See Also:
  - `setCollectionTypes(CollectionType)`
  - `OCLPackage.getOclType_CollectionTypes()`
  - `CollectionType.getElementType()`

### basicSetCollectionTypes

public org.eclipse.emf.common.notify.NotificationChain basicSetCollectionTypes(CollectionType newCollectionTypes, org.eclipse.emf.common.notify.NotificationChain msgs)

### setCollectionTypes

public void setCollectionTypes(CollectionType newCollectionTypes)
Sets the value of the '`Collection Types`' container reference.

Parameters:
  `value` - the new value of the 'Collection Types' container reference.
See Also:
  - `getCollectionTypes()`

### getTupleTypeAttribute

public TupleTypeAttribute getTupleTypeAttribute()
Returns the value of the 'Tuple Type Attribute' container reference. It is bidirectional and its opposite is '`Type`'.

If the meaning of the 'Tuple Type Attribute' container reference isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Tuple Type Attribute' container reference.
See Also:
  - `setTupleTypeAttribute(TupleTypeAttribute)`
  - `OCLPackage.getOclType_TupleTypeAttribute()`
  - `TupleTypeAttribute.getType()`

### basicSetTupleTypeAttribute

public org.eclipse.emf.common.notify.NotificationChain basicSetTupleTypeAttribute(TupleTypeAttribute newTupleTypeAttribute, org.eclipse.emf.common.notify.NotificationChain msgs)

### setTupleTypeAttribute

public void setTupleTypeAttribute(TupleTypeAttribute newTupleTypeAttribute)
Sets the value of the '`Tuple Type Attribute`' container reference.

Parameters:
  `value` - the new value of the 'Tuple Type Attribute' container reference.
See Also:
  - `getTupleTypeAttribute()`

### getVariableDeclaration

public VariableDeclaration getVariableDeclaration()
Returns the value of the 'Variable Declaration' container reference. It is bidirectional and its opposite is '`Type`'.

If the meaning of the 'Variable Declaration' container reference isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Variable Declaration' container reference.
See Also:
  - `setVariableDeclaration(VariableDeclaration)`
  - `OCLPackage.getOclType_VariableDeclaration()`
  - `VariableDeclaration.getType()`

### basicSetVariableDeclaration

public org.eclipse.emf.common.notify.NotificationChain basicSetVariableDeclaration(VariableDeclaration newVariableDeclaration, org.eclipse.emf.common.notify.NotificationChain msgs)

### setVariableDeclaration

public void setVariableDeclaration(VariableDeclaration newVariableDeclaration)
Sets the value of the '`Variable Declaration`' container reference.

Parameters:
  `value` - the new value of the 'Variable Declaration' container reference.
See Also:
  - `getVariableDeclaration()`

### eInverseAdd

public org.eclipse.emf.common.notify.NotificationChain eInverseAdd(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)

Overrides:
  `eInverseAdd` in class `OclExpression`

### eInverseRemove

public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)

Overrides:
  `eInverseRemove` in class `OclExpression`

### eBasicRemoveFromContainerFeature

public org.eclipse.emf.common.notify.NotificationChain eBasicRemoveFromContainerFeature(org.eclipse.emf.common.notify.NotificationChain msgs)

Overrides:
  `eBasicRemoveFromContainerFeature` in class `OclExpression`

### eGet

public Object eGet(int featureID, boolean resolve, boolean coreType)

Specified by:
  `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eGet` in class `OclExpression`

### eSet

public void eSet(int featureID, Object newValue)

Specified by:
  `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eSet` in class `OclExpression`

### eUnset

public void eUnset(int featureID)

Specified by:
  `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eUnset` in class `OclExpression`

### eIsSet

public boolean eIsSet(int featureID)

Specified by:
  `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eIsSet` in class `OclExpression`

### toString

public String toString()

Overrides:
  `toString` in class `LocatedElement`